Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
List Campaign Leads
curl --request GET \
  --url https://api.example.com/api/v1/campaigns/{campaign_id}/leads \
  --header 'Authorization: Bearer <token>'
{
  "leads": [
    {
      "campaign_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "row_index": 123,
      "status": "pending",
      "current_step": 123,
      "variant_map": {},
      "lead_data": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "next_action_at": "2023-11-07T05:31:56Z",
      "assigned_alias_id": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
string<uuid>
required

Query Parameters

status
enum<string> | null

Campaign lead status values.

Available options:
pending,
active,
processing,
completed,
replied,
bounced,
unsubscribed,
failed,
paused,
invalid,
waiting_acceptance,
connected,
connection_ignored,
rate_limited
page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:50

Items per page

Required range: 1 <= x <= 200

Response

Successful Response

Response model for campaign lead list.

leads
CampaignLeadResponse · object[]
required

List of leads

total
integer
required

Total number of leads

page
integer
required

Current page number

page_size
integer
required

Items per page